Package groovy.toml

# Class TomlSlurper

java.lang.Object
groovy.toml.TomlSlurper

@Incubating public class TomlSlurper extends Object
Represents a TOML parser

Since:
  4.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TomlSlurper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `parse(File file)`
  Parse the content of the specified file into a tree of Nodes.
  `Object`
  `parse(InputStream stream)`
  Parse the content of the specified reader into a tree of Nodes.
  `Object`
  `parse(Reader reader)`
  Parse the content of the specified reader into a tree of Nodes.
  `Object`
  `parse(Path path)`
  Parse the content of the specified path into a tree of Nodes.
  `Object`
  `parseText(String toml)`
  Parse the content of the specified toml into a tree of Nodes.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TomlSlurper

    public TomlSlurper()

- ## Method Details

  - ### parseText

    public Object parseText(String toml)
    Parse the content of the specified toml into a tree of Nodes.
    Parameters:
      `toml` - the content of toml
    Returns:
      the root node of the parsed tree of Nodes

  - ### parse

    public Object parse(Reader reader)
    Parse the content of the specified reader into a tree of Nodes.
    Parameters:
      `reader` - the reader of toml
    Returns:
      the root node of the parsed tree of Nodes

  - ### parse

    public Object parse(InputStream stream)
    Parse the content of the specified reader into a tree of Nodes.
    Parameters:
      `stream` - the reader of toml
    Returns:
      the root node of the parsed tree of Nodes

  - ### parse

    public Object parse(File file) throws IOException
    Parse the content of the specified file into a tree of Nodes.
    Parameters:
      `file` - the reader of toml
    Returns:
      the root node of the parsed tree of Nodes
    Throws:
      `IOException`

  - ### parse

    public Object parse(Path path) throws IOException
    Parse the content of the specified path into a tree of Nodes.
    Parameters:
      `path` - the reader of toml
    Returns:
      the root node of the parsed tree of Nodes
    Throws:
      `IOException`